package com.yihu.jw.entity.hospital.prescription;

import com.yihu.jw.entity.UuidIdentityEntity;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Table;


/**
* 处方药品表实体
*
* @author Administrator on  2019年05月16日
*
*/
@Entity
@Table(name = "wlyy_prescription_info")
public class WlyyPrescriptionInfoDO extends UuidIdentityEntity {

    /**
     * 处方code 关联表wlyy_prescription code
     */
    private String prescriptionId;

    /**
     * 药品编号
     */
    private String drugNo;

    /**
     * 药品名称
     */
    private String drugName;

    /**
     * 库房号
     */
    private String dispDeposite;

    /**
     * 药量
     */
    private String dosage;

    /**
     *数量
     */
    private String quantity;

    /**
     *单位
     */
    private String unit;

    /**
     * 單位名稱
     */
    private String unitName;

    /**
     * 包装单位
     */
    private String packUnit;

    /**
     * 包装单位名称
     */
    private String packUnitName;

    /**
     * 用法
     */
    private String supplyCode;

    /**
     * 用法名稱
     */
    private String supplyName;

    /**
     * 天数
     */
    private String days;

    /**
     * 组号
     */
    private String frequency;

    /**
     * 药品收费码
     */
    private String serial;

    /**
     * 库房号
     */
    private String groupNo;

    /**
     * 规格
     */
    private String specification;

    /**
     * 1可用 0删除
     */
    private Integer del;

    /**
     * 频率
     */
    private String usageCode;

    /**
     * 頻率名稱
     */
    private String usageName;

    /**
     *包装价格
     */
    private Double packRetprice;

    /**
     * 中草药数量
     */
    private String herbalCount;

    /**
     * 中草药贴数
     */
    private String postCount;

    /**
     * 中药用法
     */
    private String comm;

    /**
     * 药品产地
     */
    private String drugPlace;

    /**
     * 药房包装
     */
    private Integer packQuantity;

    /**
     * 用法id
     */
    private Integer ypyf;


    /**
     * 眼科hiscode
     */
    private Integer HisCode;


    /**
     * 药品批文
     */
    private String pzwh;


    @Column(name = "prescription_id")
    public String getPrescriptionId() {
        return prescriptionId;
    }
    public void setPrescriptionId(String prescriptionId) {
        this.prescriptionId = prescriptionId;
    }

    @Column(name = "drug_no")
    public String getDrugNo() {
        return drugNo;
    }
    public void setDrugNo(String drugNo) {
        this.drugNo = drugNo;
    }

    @Column(name = "drug_name")
    public String getDrugName() {
        return drugName;
    }
    public void setDrugName(String drugName) {
        this.drugName = drugName;
    }

    @Column(name = "disp_deposite")
    public String getDispDeposite() {
        return dispDeposite;
    }
    public void setDispDeposite(String dispDeposite) {
        this.dispDeposite = dispDeposite;
    }

    @Column(name = "dosage")
    public String getDosage() {
        return dosage;
    }
    public void setDosage(String dosage) {
        this.dosage = dosage;
    }

    @Column(name = "quantity")
    public String getQuantity() {
        return quantity;
    }
    public void setQuantity(String quantity) {
        this.quantity = quantity;
    }

    @Column(name = "unit")
    public String getUnit() {
        return unit;
    }
    public void setUnit(String unit) {
        this.unit = unit;
    }

    @Column(name = "supply_code")
    public String getSupplyCode() {
        return supplyCode;
    }
    public void setSupplyCode(String supplyCode) {
        this.supplyCode = supplyCode;
    }

    @Column(name = "days")
    public String getDays() {
        return days;
    }
    public void setDays(String days) {
        this.days = days;
    }

    @Column(name = "frequency")
    public String getFrequency() {
        return frequency;
    }
    public void setFrequency(String frequency) {
        this.frequency = frequency;
    }

    @Column(name = "serial")
    public String getSerial() {
        return serial;
    }

    public void setSerial(String serial) {
        this.serial = serial;
    }

    @Column(name = "group_no")
    public String getGroupNo() {
        return groupNo;
    }

    public void setGroupNo(String groupNo) {
        this.groupNo = groupNo;
    }

    @Column(name = "specification")
    public String getSpecification() {
        return specification;
    }

    public void setSpecification(String specification) {
        this.specification = specification;
    }

    @Column(name = "del")
    public Integer getDel() {
        return del;
    }
    public void setDel(Integer del) {
        this.del = del;
    }

    @Column(name = "unit_name")
    public String getUnitName() {
        return unitName;
    }

    public void setUnitName(String unitName) {
        this.unitName = unitName;
    }

    @Column(name = "supply_name")
    public String getSupplyName() {
        return supplyName;
    }

    public void setSupplyName(String supplyName) {
        this.supplyName = supplyName;
    }

    @Column(name = "usage_code")
    public String getUsageCode() {
        return usageCode;
    }

    public void setUsageCode(String usageCode) {
        this.usageCode = usageCode;
    }

    @Column(name = "usage_name")
    public String getUsageName() {
        return usageName;
    }

    public void setUsageName(String usageName) {
        this.usageName = usageName;
    }

    @Column(name = "pack_unit")
    public String getPackUnit() {
        return packUnit;
    }

    public void setPackUnit(String packUnit) {
        this.packUnit = packUnit;
    }

    @Column(name = "pack_unit_name")
    public String getPackUnitName() {
        return packUnitName;
    }

    public void setPackUnitName(String packUnitName) {
        this.packUnitName = packUnitName;
    }

    @Column(name = "pack_retprice")
    public Double getPackRetprice() {
        return packRetprice;
    }

    public void setPackRetprice(Double packRetprice) {
        this.packRetprice = packRetprice;
    }

    @Column(name = "herbal_count")
    public String getHerbalCount() {
        return herbalCount;
    }

    public void setHerbalCount(String herbalCount) {
        this.herbalCount = herbalCount;
    }

    @Column(name = "post_count")
    public String getPostCount() {
        return postCount;
    }

    public void setPostCount(String postCount) {
        this.postCount = postCount;
    }

    @Column(name = "comm")
    public String getComm() {
        return comm;
    }

    public void setComm(String comm) {
        this.comm = comm;
    }

    @Column(name = "drug_place")
    public String getDrugPlace() {
        return drugPlace;
    }

    public void setDrugPlace(String drugPlace) {
        this.drugPlace = drugPlace;
    }

    @Column(name = "pack_quantity")
    public Integer getPackQuantity() {
        return packQuantity;
    }

    public void setPackQuantity(Integer packQuantity) {
        this.packQuantity = packQuantity;
    }

    @Column(name = "ypyf")
    public Integer getYpyf() {
        return ypyf;
    }

    public void setYpyf(Integer ypyf) {
        this.ypyf = ypyf;
    }

    @Column(name = "his_code")
    public Integer getHisCode() {
        return HisCode;
    }

    public void setHisCode(Integer hisCode) {
        HisCode = hisCode;
    }

    @Column(name = "pzwh")
    public String getPzwh() {
        return pzwh;
    }

    public void setPzwh(String pzwh) {
        this.pzwh = pzwh;
    }
}